#!/usr/bin/env bash
# Author: 潘维吉
# Description: 执行Docker发布部署shell脚本  同一台服务器主从部署

echo "执行Jenkins Docker部署shell脚本 滚动部署"
pwd
# 项目名称
project_name_prefix=$1
# 项目类型
project_type=$2
# 宿主机端口
host_port=$3
# 容器内暴露端口
expose_port=$4
# 环境模式 如 dev test prod等
env_mode=$5

# docker镜像名称
docker_image_name=${project_name_prefix}/${project_type}-${env_mode}
# docker容器名称
docker_container_name=${project_name_prefix}-${project_type}"-slave"-${env_mode}
# 项目全名称
project_name=${project_name_prefix}-${project_type}"-slave"


echo "停止指定的容器"
docker stop ${docker_container_name} --time=0
echo "删除指定的容器"
docker rm ${docker_container_name}

echo "启动运行docker容器 模式: ${env_mode} 映射端口: ${host_port}:${expose_port}"
docker run -d --restart=always -p ${host_port}:${expose_port}  \
  -e "SPRING_PROFILES_ACTIVE=${env_mode}" -e "PROJECT_NAME=${project_name}"  \
  -e "JAVA_OPTS=-Xms512m -Xmx600m" -m 800m ${dynamic_run_args} \
  --name ${docker_container_name} ${docker_image_name}

echo "删除名称或标签为none的镜像"
docker rmi $(docker images | grep "none" | awk '{print $3}') -f
