#!/usr/bin/env bash
# Author: 潘维吉
# Description: 自动生成自定义Git变更记录
# chmod +x git-changelog.sh　给shell脚本执行文件可执行权限
# sudo docker exec -it -u root jenkins  ./var/jenkins_home/workspace/an-plus-app/.ci/git-changelog.sh

CHANGELOG_FILE=CHANGELOG.md
#FORMAT=" * **%s**  ( author: %an , date: %ai ) %n"
FORMAT=" * **%s** ( author: %an ) %n"

if test "$CHANGELOG_FILE" != ""; then
  rm -rf $CHANGELOG_FILE
  touch $CHANGELOG_FILE
fi

echo "### CHANGELOG " >>$CHANGELOG_FILE
git for-each-ref --sort='*authordate' --format='%(tag)' refs/tags | gtac | grep -v '^$' | while read TAG; do
  TAG_DATE=$(git log -1 --pretty=tformat:%cd --date=short $TAG)
  if [ $NEXT ]; then
    TAG_DATE=$(git log -1 --pretty=tformat:%cd --date=short $NEXT)
    echo "$NEXT / $TAG_DATE " >>$CHANGELOG_FILE
  else
    echo "[Current] / $TAG_DATE " >>$CHANGELOG_FILE
  fi
  GIT_PAGER=cat git log --pretty=format:"$FORMAT" $TAG..$NEXT >>$CHANGELOG_FILE
  NEXT=$TAG
done

FIRST=$(git tag -l | head -1)
TAG_DATE=$(git log -1 --pretty=tformat:%cd --date=short $FIRST)
echo "$FIRST / $TAG_DATE " >>$CHANGELOG_FILE
GIT_PAGER=cat git log --grep=feat --grep=fix --pretty=format:"$FORMAT" $FIRST >>$CHANGELOG_FILE
