#### 从Docker Hub里拉取mysql镜像来部署
docker pull mysql

#### mysql docker容器启动 创建数据库密码等 跟宿主机器同样的时区配置 -v指定数据持久化存储宿主机位置  添加mysql配置参数 -v 
#### GROUP_CONCAT函数可拼接某个字段值成字符串 默认的分隔符是"," 默认最大长度为1024字节超过则会被截断 （-1为最大值或根据实际需求设置长度） 
#### convert(数据,char) CONCAT解决乱码
#### CREATE USER IF NOT EXISTS 'an_plus'@'%' IDENTIFIED WITH MYSQL_NATIVE_PASSWORD BY 'antaikeji2019' ; GRANT all privileges ON *.* TO 'an_plus'@'%' ; flush privileges;
sudo docker run -d --restart=always -p 3306:3306 --name mysql \
-e MYSQL_DATABASE=an_plus_dev -e MYSQL_ROOT_PASSWORD=antaikeji2019 -v /etc/localtime:/etc/localtime:ro -v /my/mysql/data:/var/lib/mysql \
mysql --group_concat_max_len=102400 --max_connections=2000   --lower_case_table_names=1


#### 从Docker Hub里拉取redis镜像来部署
docker pull redis:latest

#### redis docker容器启动 -d开启 守护进程Daemon模式 -v指定数据持久化存储宿主机位置 --requirepass "mypassword"设置密码 --appendonly yes数据持久化
sudo docker run -d --restart=always -p 6379:6379 --name redis -v /my/redis/data:/data  redis:latest  \
redis-server --appendonly yes --requirepass "antaikeji2019"

#### 基于Docker安装部署Nginx
docker pull nginx

#### 启动运行nginx容器 -v /my/nginx/nginx.conf:/etc/nginx/nginx.conf:ro
sudo docker run -d --restart=always -p 80:80 -p 443:443 --name proxy-nginx -v /my/nginx:/usr/share/nginx/html:ro  nginx


#### 从Docker Hub里拉取RabbitMQ镜像来部署
docker pull rabbitmq:management

#### RabbitMQ docker容器启动 -d开启 守护进程Daemon模式 指定--hostname默认为主机名存储数据 image启动容器的时候会自动生成hostname
#### 5672端口对应的是amqp，25672端口对应的是clustering，15672端口对应的是http（也就是登录RabbitMQ后台管理端口）
sudo docker run -d --restart=always -p 5672:5672 -p 15672:15672  --name rabbitmq  -v /my/rabbitmq:/var/lib/rabbitmq \
-e RABBITMQ_DEFAULT_USER=root -e RABBITMQ_DEFAULT_PASS=123456  rabbitmq:management


#### 从Docker Hub里拉取Jenkins镜像最新LTS版来部署
docker pull jenkins/jenkins:lts
docker pull jenkins/jenkins:jdk11

#### 添加挂载映射本地数据卷权限 sudo chown -R 1000:1000 /my/jenkins  将宿主机的docker命令挂载到容器中
#### JDK11需要Oracle商业授权 JDK11配置先使用jenkins/jenkins:jdk11镜像 使用openJDK 暂无LTS版
sudo docker run -d --restart=always -p 8000:8080 -p 50000:50000  -u root -e JAVA_OPTS=-Duser.timezone=Asia/Shanghai --name jenkins \
-v /etc/localtime:/etc/localtime:ro -v $(which bash):/bin/bash -v $(which docker):/usr/bin/docker -v /my/jenkins:/var/jenkins_home  \
--privileged  jenkins/jenkins:jdk11 \
&& sudo chown -R 1000:1000 /my/jenkins
  
  
#### 基于Docker安装部署GitLab系统镜像
#### 从Docker Hub里拉取GitLab镜像最新社区版来部署
docker pull gitlab/gitlab-ce

#### 启动运行容器
sudo docker run -d --restart=always -p 8000:80  --name gitlab-ce \
-v /my/gitlab/config:/etc/gitlab -v /my/gitlab/logs:/var/log/gitlab -v /my/gitlab/data:/var/opt/gitlab  \
gitlab/gitlab-ce:latest


#### 基于Docker安装部署ZenTao禅道项目管理软件
#### 从Docker Hub里拉取ZenTao禅道镜像最新版来部署
docker pull idoop/zentao:latest

#### 启动运行容器 禅道初始化账号admin,密码123456  USER和PASSWD是数据库的 BIND_ADDRESS如果设置值为false, Mysql服务器将不会绑定地址
sudo docker run -d --restart=always -p 8002:80 -p 33066:3306 --name zentao-server \
 -e USER="root" -e PASSWD="123456" -e BIND_ADDRESS="false" -v /my/zentao:/opt/zbox  idoop/zentao:latest
 

#### 安装 分布式任务调度平台XXL-JOB服务 在浏览器中使用http://39.96.84.51:8081/xxl-job-admin 默认用户名和密码 admin 123456
docker pull xuxueli/xxl-job-admin:2.1.2

docker run -d --restart=always -p 8081:8080 \
-e PARAMS="--spring.datasource.url=jdbc:mysql://39.96.84.51:3306/xxl_job?Unicode=true&characterEncoding=UTF-8 \
--spring.datasource.username=an_plus --spring.datasource.password=antaikeji2019 --xxl.job.accessToken=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpYXQiOjE1ODE5MjgwMDMsInN1YiI6IntcInVzZXJJZFwiOjF9IiwiaXNzIjoiYW4tcGx1cy1qb2IifQ.s0au9aVh14ql6bSidRxTaJRSJO_fJ7o-XSqCmghmG80 " \
-v /tmp:/data/applogs --name xxl-job-admin xuxueli/xxl-job-admin:2.1.2

#### 安装 sonar服务
sudo docker pull sonarqube  

sudo docker run -d --restart=always --name sonarqube -p 9000:9000 sonarqube

#### 搭建私有docker仓库 http://39.96.84.51:5000/v2
docker run -d --restart=always -p 5000:5000 -v /my/docker_registry:/var/lib/registry --name docker-registry registry:2

#### Docker容器数据迁移部署说明

tar -zcvf my.tar.gz /my
scp -r my.tar.gz root@39.96.84.51:/

tar -xzvf my.tar.gz && rm -f my.tar.gz



