#!/usr/bin/env bash
# Author: 潘维吉
echo -e "\033[32mDocker初始化安装  ↓ \033[0m"
# chmod +x docker-install.sh　 给shell脚本执行文件可执行权限

if [[ $(command -v docker) ]]; then
  echo -e "\033[34mDocker版本： $(docker --version) ，已经初始化 退出安装  ✘ \033[0m"
  exit
fi

echo "查看linux内核或版本"
lsb_release -a

echo "更新包管理器，安装程序包"
sudo apt-get update -y
sudo apt-get install -y linux-image-generic-lts-xenial

echo "安装Docker"
curl -s https://get.docker.com/ | sudo sh

sleep 1
# docker version 验证安装是否成功(有client和service两部分表示docker安装启动都成功了)
echo "Docker版本 验证安装是否成功 "
docker version

if [[ "$(whoami)" != "root" ]]; then
  echo "非root用户设置权限 将当前用户$(whoami)添加到docker组 用于与docker服务通信"
  sudo usermod -aG docker $(whoami)
fi

echo -e "\033[32mDocker安装完成 ✔ \033[0m"
