#!/usr/bin/env bash
# Author: 潘维吉
# kubernetes云原生容器编排管理安装  生产级别的容器编排系统  自动化的容器部署、扩展和管理
# chmod +x k8s-install.sh　 给shell脚本执行文件可执行权限

echo "查看linux内核或版本"
lsb_release -a

echo "更新包管理器"
sudo apt-get update

echo "安装Docker"
curl -s https://get.docker.com/ | sudo sh # Docker与K8s版本要对应

echo "关闭防火墙"
# 云平台服务自带防火墙 无须设置防火墙
systemctl status firewald   # 检查是否打开
systemctl stop firewalld    # 关闭服务
systemctl disable firewalld # 禁用服务开机启动
firewall-cmd --state        # 查看状态

echo "禁用SELinux"
sestatus                                                            # 检查是否开启
sed -ri 's/SELINUX=enforcing/SELINUX=disabled/' /etc/selinux/config # 修改配置

echo "查看Swap分区 "
free # 使用 kubeadm 部署集群必须关闭Swap分区 Swap已经为0是关闭

echo "配置Master Node节点 修改各自的hostname和hosts文件"
hostnamectl set-hostname k8s-master01 # 设置主机名 部署master节点开启
#hostnamectl set-hostname k8s-node01    # 设置主机名 部署node节点开启

echo '127.0.0.1  k8s-master01
127.0.0.1 k8s-node01' >>/etc/hosts

echo "国内网络原因 设置阿里镜像源"
cat <<EOF >/etc/yum.repos.d/kubernetes.repo
[kubernetes]
name=Kubernetes
baseurl=http://mirrors.aliyun.com/kubernetes/yum/repos/kubernetes-el7-x86_64
enabled=1
gpgcheck=1
repo_gpgcheck=1
gpgkey=http://mirrors.aliyun.com/kubernetes/yum/doc/yum-key.gpg http://mirrors.aliyun.com/kubernetes/yum/doc/rpm-package-key.gpg
exclude=kube*
EOF

echo "安装Kubernetes"
sudo apt-get install -y kubelet kubeadm kubectl --disableexcludes=kubernetes

echo "启动Kubernetes服务"
systemctl enable kubelet && systemctl start kubelet

echo "修改网络配置"
cat <<EOF >/etc/sysctl.d/k8s.conf
net.bridge.bridge-nf-call-ip6tables = 1
net.bridge.bridge-nf-call-iptables = 1
EOF
sysctl --system

echo "Kubernetes版本"
sudo kubectl version

echo "安装Dashboard UI管理集群资源 扩展部署，启动滚动更新，重新启动Pod或部署新应用程序等"
wget https://raw.githubusercontent.com/kubernetes/dashboard/v2.0.0-beta4/aio/deploy/recommended.yaml
kubectl apply -f recommended.yaml
kubectl get pods --all-namespaces | grep dashboard

echo "重启配置生效"
reboot
