package com.anplus.admincontrol.common.service;

import com.common.aliyun.OssUtils;
import com.common.util.CommonUtils;
import com.constants.CodeConstants;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * @Author wangning
 * @Date 2019-10-17 16:56
 * @Email 1151089590@qq.com
 * @Description:
 */
@Service
public class CommonFileService {

    @Resource
    private OssUtils ossUtils;

    public Map<String,String> upload(MultipartFile tmpPicFile, String type, String business) {
        Map<String, String> resultMap = new HashMap<>(2);
        String originalFilename = tmpPicFile.getOriginalFilename();
        //获取文件类型
        String fileExtension = originalFilename.substring(originalFilename.lastIndexOf("."));
        //获取文件名
        String fileName = originalFilename.substring(0,originalFilename.lastIndexOf("."));

        String url = "";
        try {
            long currentTimeMillis = System.currentTimeMillis();
            if (business.equals("SysParam") && type.equals("attach")){
                //系统参数文件类型下保留文件名，方便用户下载查看
                url = ossUtils.uploadFile(business + "/" + type + "/"  + fileName + fileExtension,  tmpPicFile.getBytes());
            }else {
                url = ossUtils.uploadFile(business + "/" + type + "/" +
                        currentTimeMillis + CommonUtils.generateRandomChars(3) + fileExtension, tmpPicFile.getBytes());
            }

        } catch (IOException e) {
            e.printStackTrace();
        }
        resultMap.put("url", url);
        resultMap.put("fileName",fileName);

        return resultMap;
    }
}
