package com.anplus.admincontrol.controller.base;

import com.anplus.admincontrol.service.base.BaseErrorLogService;
import com.core.result.Result;
import com.core.result.ResultGenerator;
import com.dao.common.page.PageInfoVO;
import com.dao.model.base.BaseErrorLog;
import com.dao.model.base.dto.BaseErrorLogPageDTO;
import com.github.pagehelper.PageHelper;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author linxianghua
 * @date 2019-10-17 14:29
 * BaseErrorLogController控制类
 */
@RestController
@RequestMapping("/base/error/log")
@Validated
public class BaseErrorLogController {

    @Resource
    private BaseErrorLogService baseErrorLogService;

    /**
     * 分页查询列表
     *
     * @param param 分页参数
     * @return 分页数据
     */
    @PostMapping("/page")
    public Result pageList(@RequestBody BaseErrorLogPageDTO param) {
        PageHelper.startPage(param.getPage(), param.getSize());
        List<BaseErrorLog> list = baseErrorLogService.getPage(param);
        PageInfoVO pageInfo = new PageInfoVO(list);
        return ResultGenerator.success(pageInfo, "获取分页列表");
    }

}
