package com.anplus.admincontrol.controller.project;

import com.anplus.admincontrol.controller.project.dto.ProjectChargePageDTO;
import com.anplus.admincontrol.controller.project.dto.ProjectChargeSaveDTO;
import com.anplus.admincontrol.service.project.ProjectChargeService;
import com.core.result.Result;
import com.dao.model.project.ProjectCharge;
import lombok.NonNull;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.constraints.Positive;

import static com.core.result.ResultGenerator.success;

/**
 * @author 孟令君
 * @date 2021-03-04 10:53
 * ProjectChargeController控制类
 */
@RestController
@RequestMapping("/project/charge")
@Validated
public class ProjectChargeController {

    @Resource
    private ProjectChargeService projectChargeService;

    /**
     * 分页查询列表
     *
     * @param param 分页参数
     * @return 分页数据
     */
    @PostMapping("/page")
    public Result getPage(@RequestBody @NonNull @Validated ProjectChargePageDTO param) {
        return success(projectChargeService.getPage(param), "获取分页列表");
    }

    @GetMapping("/statistics/status/{id}")
    public Result updateStatistics(@PathVariable("id") Long id,Boolean status){
        return success(projectChargeService.updateStatistics(id), "操作成功");
    }

    /**
     * 新增保存对象
     *
     * @param dto 保存对象
     */
    @PostMapping
    public Result save(@RequestBody @NonNull @Validated ProjectChargeSaveDTO dto) {
        return success(projectChargeService.savProjectCharge(dto), "新增成功");
    }

}
