package com.anplus.admincontrol.controller.report;

import com.anplus.admincontrol.controller.report.dto.ProjectCostReportDTO;
import com.anplus.admincontrol.controller.report.dto.StaffDailyReportDTO;
import com.anplus.admincontrol.controller.report.vo.ProjectCostReportVO;
import com.anplus.admincontrol.controller.report.vo.StaffDailyReportVO;
import com.anplus.admincontrol.service.report.ReportService;
import com.core.result.Result;
import com.core.result.ResultGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/report")
public class StaffDailyReportController {

    @Autowired
    private ReportService reportService;

    /**
     * 工作日志
     */
    @PostMapping("/staff/daily")
    public Result getStaffDailyReport(@RequestBody StaffDailyReportDTO param) {
        List<StaffDailyReportVO> list = reportService.getStaffDailyReport(param);
        return ResultGenerator.success(list, "报表加载成功");
    }

    /**
     * 项目成本表
     *
     * @param param
     * @return
     */
    @PostMapping("/project/cost")
    public Result getProjectCostReport(@RequestBody ProjectCostReportDTO param) {
        List<ProjectCostReportVO> list = reportService.getProjectCostReport(param);
        return ResultGenerator.success(list, "报表加载成功");
    }
}
