package com.anplus.admincontrol.controller.zt;

import com.anplus.admincontrol.controller.zt.dto.ZtUserPageDTO;
import com.anplus.admincontrol.controller.zt.vo.ZtUserWagesSaveDTO;
import com.anplus.admincontrol.service.zt.ZtUserService;
import com.core.result.Result;
import com.dao.common.page.PageParams;
import com.dao.model.zt.ZtUser;
import lombok.NonNull;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.constraints.Positive;

import static com.core.result.ResultGenerator.success;

/**
 * @author 孟令君
 * @date 2021-03-02 08:34
 * ZtUserController控制类
 */
@RestController
@RequestMapping("/zt/user")
@Validated
public class ZtUserController {

    @Resource
    private ZtUserService ztUserService;

    /**
     * 分页查询列表
     *
     * @param param 分页参数
     * @return 分页数据
     */
    @PostMapping("/page")
    public Result getPage(@RequestBody @NonNull @Validated ZtUserPageDTO param) {
        return success(ztUserService.getPage(param), "获取分页列表");
    }

    /**
     * 编辑人员工资
     *
     * @param ztUser 保存对象
     */
    @PostMapping
    public Result saveUserWages(@RequestBody @NonNull @Validated ZtUserWagesSaveDTO ztUser) {
        return success(ztUserService.saveUserWages(ztUser), "新增成功");
    }

    @GetMapping("/statistics/status/{id}")
    public Result updateStatistics(@PathVariable("id") Long id,Boolean status){
        return success(ztUserService.updateStatistics(id), "操作成功");
    }


}
