package com.anplus.admincontrol.mapper.holidays;


import com.anplus.admincontrol.controller.holidays.dto.HolidaysPageDTO;
import com.anplus.admincontrol.mapper.holidays.bo.HolidayBO;
import com.dao.model.holidays.Holidays;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 王鑫
 * @date 2021-03-07 10:05
 * HolidaysBusinessMapper业务接口
 */
public interface HolidaysBusinessMapper {

    /**
     * 分页查询
     * @param param
     * @return
     */
    List<Holidays> getPage(@Param("param") HolidaysPageDTO param);

    /**
     * 获取某一年的节假日，如果是今年，只查询到当年到当日的节假日
     * 此查询无法用于未来的年份！
     */
    List<HolidayBO> getByYear(@Param("year") Integer year);
}
