package com.anplus.admincontrol.mapper.sys;

import com.anplus.admincontrol.controller.sys.dto.SysRolePageDTO;
import com.dao.common.Mapper;
import com.dao.model.sys.SysRole;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author linxianghua
 */
public interface SysRoleMapper extends Mapper<SysRole> {
    /**
     * 获取分页列表
     *
     * @param param
     * @return com.github.pagehelper.Page<com.dao.model.sys.SysRole>
     * @author linxianghua
     * @date 2019/10/12 10:45
     */
    Page<SysRole> getPage(@Param("param") SysRolePageDTO param);

    /**
     * 查询重复
     * @param id
     * @param code
     * @return int
     * @author linxianghua
     * @date 2019/10/14 17:10
     */
    int getRepeat(@Param("id") Long id, @Param("code") String code);

    /**
     * 修改角色使用状态
     * @param id
     * @param available
     * @return int
     * @author linxianghua
     * @date 2019/10/16 9:02
     */
    int availableOrDeleteByPrimaryKey(@Param("id") Long id ,@Param("available") Integer available);

    /**
     * 批量禁用
     * @param ids
     * @return int
     * @author linxianghua
     * @date 2019/10/16 9:45
     */
    int deleteBatch(@Param("delList") Integer[] ids);

    /**
     * 查询所有可用角色
     * @param
     * @return java.util.List<com.dao.model.sys.SysRole>
     * @author wangning
     * @date 2019-10-16 16:54
     */
    List<SysRole> getAllAvailableRole();

    int getRoleUserNum(Long roleId);
}
