package com.anplus.admincontrol.mapper.task;


import com.anplus.admincontrol.controller.task.dto.ZtTaskEstimatePageDTO;
import com.anplus.admincontrol.controller.task.vo.AnnualConsumeData;
import com.anplus.admincontrol.service.task.bo.UserDailyConsumedBO;
import com.anplus.admincontrol.service.task.bo.UserTaskConsumeBO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * @author 商天翔
 * @date 2021-03-02 17:28
 * ZtTaskestimateBusinessMapper业务接口
 */
public interface ZtTaskestimateBusinessMapper {

    /**
     * 针对人员的分页
     */
    List<Map<String, Object>> getUserPage(@Param("param") ZtTaskEstimatePageDTO param);

    /**
     * 获取没人每日每个项目上的工时消耗
     */
    List<UserTaskConsumeBO> getTaskConsumed(@Param("param") ZtTaskEstimatePageDTO param);

    /**
     * 获取当月的节假日
     * @param month 月份字符串 如 2021-02
     * @return 包含节假日信息的字符串List,每个元素可能包含多个日期如['2021-02-11, 2021-02-12', '2021-02-06']
     */
    List<String> getHolidaysByMonth(@Param("month") String month);

    /**
     * 获取某一日的工时不足的用户数据
     */
    List<UserDailyConsumedBO> getWarningUsers(@Param("date") LocalDate date,
                                              @Param("standardConsume") Double standardConsume,
                                              @Param("accounts") String ...accounts);

    /**
     * 获取各用户年度工时情况
     */
    List<AnnualConsumeData> getAnnualConsume(@Param("year") Integer year);
}
