package com.anplus.admincontrol.security.authentication;

import com.anplus.admincontrol.service.sys.SysUserService;
import com.anplus.common.admin.security.authentication.CustomSecurityUser;
import com.dao.model.sys.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.DisabledException;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;

import java.util.ArrayList;

/**
 * @Author wangning
 * @Date 2019-10-04 17:55
 * @Email 1151089590@qq.com
 * @Description:
 */
public class UserDetailsServiceImpl implements UserDetailsService {

    @Autowired
    private SysUserService sysUserService;

    @Override
    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {

        SysUser sysUser = sysUserService.getCatchByUserName(username);
        if (sysUser == null) {
            throw new UsernameNotFoundException("用户名错误");
        }

        if (!sysUser.getAvailable()) {
            throw new DisabledException("账号已被禁用");
        }

        return new CustomSecurityUser(sysUser, new ArrayList<>());
    }
}
