package com.anplus.admincontrol.service.base;

import com.dao.common.AbstractMapperService;
import com.dao.mapper.CommonErrorLogMapper;
import com.dao.model.base.BaseErrorLog;
import com.dao.model.base.dto.BaseErrorLogPageDTO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author linxianghua
 * @date 2019-10-17 14:29
 * BaseErrorLogService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class BaseErrorLogService extends AbstractMapperService<BaseErrorLog> {

    @Resource
    private CommonErrorLogMapper commonErrorLogMapper;

    /**
     * 分页查询
     *
     * @param baseErrorLogPageDTO
     * @return com.anplus.admincontrol.controller.base.vo.BaseErrorLogPageVO
     * @author linxianghua
     * @date 2019/10/17 14:55
     */
    public List<BaseErrorLog> getPage(BaseErrorLogPageDTO baseErrorLogPageDTO) {
        return commonErrorLogMapper.getPage(baseErrorLogPageDTO);
    }
}
