package com.anplus.admincontrol.service.progress;

import com.anplus.admincontrol.controller.progress.vo.ProgressVO;
import com.anplus.admincontrol.mapper.project.ZtProjectBusinessMapper;
import com.anplus.admincontrol.mapper.zt.ZtTaskBusinessMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;

@Service
public class ProgressService {

    @Resource
    ZtProjectBusinessMapper ztProjectBusinessMapper;

    @Resource
    ZtTaskBusinessMapper ztTaskBusinessMapper;

    /**
     * 获取全部任务进度
     */
    public List<ProgressVO> getProgress() throws ParseException {

//        List<ProgressVO> progressVOList =  ztProjectBusinessMapper.getProjectList();
//        progressVOList.addAll(ztTaskBusinessMapper.getTaskList());
        SimpleDateFormat simdf = new SimpleDateFormat("yyyy-MM-dd");
        List<ProgressVO> progressVOList = new ArrayList<>();

        int index = 3;
        for (int i = 0; i < 4; i=i+4) {
            progressVOList.add(ProgressVO.builder()
                    .id(i)
                    .name("安家智慧社区"+i)
                    .begin(simdf.parse("2021-0"+index+"-05"))
                    .end(simdf.parse("2021-0"+(index+1)+"-01"))
                    .build());
            progressVOList.add(ProgressVO.builder()
                    .id(i+1)
                    .name("王鑫")
                    .begin(simdf.parse("2021-0"+index+"-05"))
                    .end(simdf.parse("2021-0"+index+"-13"))
                    .parentId(i)
                    .build());
            progressVOList.add(ProgressVO.builder()
                    .id(i+2)
                    .name("")
                    .begin(simdf.parse("2021-0"+index+"-05"))
                    .end(simdf.parse("2021-0"+index+"-07"))
                    .parentId(i+1)
                    .label("学习算法")
                    .build());
            progressVOList.add(ProgressVO.builder()
                    .id(i+3)
                    .name("")
                    .begin(simdf.parse("2021-0"+index+"-10"))
                    .end(simdf.parse("2021-0"+index+"-13"))
                    .parentId(i+1)
                    .label("学习java")
                    .build());

            progressVOList.add(ProgressVO.builder()
                    .id(i+4)
                    .name("张凯")
                    .begin(simdf.parse("2021-0"+index+"-12"))
                    .end(simdf.parse("2021-0"+index+"-22"))
                    .parentId(i)
                    .build());
            progressVOList.add(ProgressVO.builder()
                    .id(i+5)
                    .name("")
                    .begin(simdf.parse("2021-0"+index+"-12"))
                    .end(simdf.parse("2021-0"+index+"-17"))
                    .parentId(i+4)
                    .label("学习安卓")
                    .build());
            progressVOList.add(ProgressVO.builder()
                    .id(i+6)
                    .name("")
                    .begin(simdf.parse("2021-0"+index+"-15"))
                    .end(simdf.parse("2021-0"+index+"-22"))
                    .parentId(i+4)
                    .label("学习苹果")
                    .build());

            index++;
        }

        return progressVOList;
    }
}
