package com.anplus.admincontrol.service.sys;

import com.anplus.admincontrol.mapper.sys.SysBusinessOperateResourceMapper;
import com.dao.common.AbstractMapperService;
import com.dao.model.sys.SysBusinessOperateResource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author wangning
 * @date 2019-10-11 09:02
 * SysBusinessOperateResourceService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class SysBusinessOperateResourceService extends AbstractMapperService<SysBusinessOperateResource> {

    @Resource
    private SysBusinessOperateResourceMapper sysBusinessOperateResourceMapper;


    public List<SysBusinessOperateResource> getByOperateId(Long id) {
        return sysBusinessOperateResourceMapper.getByOperateId(id);
    }

    /**
     * 根据用户名查询用户拥有资源
     * @param userName
     * @return
     */
    public List<SysBusinessOperateResource> getResourceListByUserName(String userName) {
        List<SysBusinessOperateResource> resourceList;
        if ("admin".equals(userName)) {
            resourceList = sysBusinessOperateResourceMapper.selectAll();
        } else {
            resourceList = sysBusinessOperateResourceMapper.selectByUserName(userName);
        }
        return resourceList;
    }

    public void deleteBatch(Long[] ids) {
        sysBusinessOperateResourceMapper.deleteBatch(ids);
    }


    public void delByOperates(Long[] ids) {
        sysBusinessOperateResourceMapper.delByOperates(ids);
    }
}
