package com.anplus.admincontrol.service.sys;

import com.anplus.admincontrol.mapper.sys.SysBusinessOperateMapper;
import com.dao.common.AbstractMapperService;
import com.dao.model.sys.SysBusinessOperate;
import org.springframework.data.annotation.Transient;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author wangning
 * @date 2019-10-11 09:02
 * SysBusinessOperateService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class SysBusinessOperateService extends AbstractMapperService<SysBusinessOperate> {

    @Resource
    private SysBusinessOperateMapper sysBusinessOperateMapper;

    @Resource
    private SysBusinessOperateResourceService sysBusinessOperateResourceService;

    @Resource
    private SysRoleOperateService sysRoleOperateService;


    public List<SysBusinessOperate> getByBusinessId(Long id) {
        return sysBusinessOperateMapper.getByBusinessId(id);
    }


    @Transient
    public void deleteBatch(Long[] ids) {
        sysBusinessOperateMapper.deleteBatch(ids);
        sysBusinessOperateResourceService.delByOperates(ids);
        sysRoleOperateService.delByOperates(ids);
    }
}
