package com.anplus.admincontrol.service.sys;

import com.anplus.admincontrol.common.dto.SysBusinessTree;
import com.anplus.admincontrol.mapper.sys.SysBusinessMapper;
import com.dao.common.AbstractMapperService;
import com.dao.model.sys.SysBusiness;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author wangning
 * @date 2019-10-11 09:02
 * SysBusinessService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class SysBusinessService extends AbstractMapperService<SysBusiness> {

    @Resource
    private SysBusinessMapper sysBusinessMapper;

    /**
     * @Param:
     * @Author wangning
     * @Date 2019-10-10
     * @Description: 查询全部菜单列表
     */
    public List<SysBusinessTree> getAllList() {
        List<SysBusinessTree> menuList = new ArrayList<>();
        Map<Long, SysBusinessTree> menuMap = new HashMap<>();
        List<SysBusiness> businessList = sysBusinessMapper.getAllBusiness();

        for (SysBusiness item : businessList) {
            menuMap.put(item.getId(), new SysBusinessTree(item));
        }
        SysRoleService.getMenuList(menuList, menuMap, businessList);
        return menuList;
    }
}
