package com.anplus.admincontrol.service.sys;

import com.anplus.admincontrol.annotation.user.CurrentUser;
import com.anplus.admincontrol.controller.sys.dto.SysParamDTO;
import com.anplus.admincontrol.controller.sys.vo.SysParamVO;
import com.anplus.admincontrol.mapper.sys.SysParamBusinessMapper;
import com.dao.common.AbstractMapperService;
import com.dao.model.sys.SysParam;
import com.dao.model.sys.SysUser;
import com.dao.util.EntityUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author wang jianguo
 * @date 2019-10-16 10:52
 * SysParamService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class SysParamService extends AbstractMapperService<SysParam> {

    @Resource
    private SysParamBusinessMapper sysParamBusinessMapper;

    /**
     * 分页查询总控系统参数列表
     *
     * @param sysParamDTO
     * @return
     */
    public List<SysParamVO> queryForPage(SysParamDTO sysParamDTO) {
        return sysParamBusinessMapper.getPage(sysParamDTO);
    }


    public void updateParam(SysParam sysParam, @CurrentUser SysUser user) {
        EntityUtils.setModifyBase(sysParam, user.getId());
        this.updateByPrimaryKeySelective(sysParam);
    }
}
