package com.anplus.admincontrol.service.sys;

import com.anplus.admincontrol.mapper.sys.SysUserRoleMapper;
import com.dao.common.AbstractMapperService;
import com.dao.model.sys.SysUserRole;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author wangning
 * @date 2019-10-11 09:02
 * SysUserRoleService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class SysUserRoleService extends AbstractMapperService<SysUserRole> {

    @Resource
    private SysUserRoleMapper sysUserRoleMapper;


    public List<Integer> getUserRoleByUserId(int id) {
        return sysUserRoleMapper.getUserRoleByUserId(id);
    }


    public void deleteByUserId(long id) {
        sysUserRoleMapper.deleteByUserId(id);
    }


    public void insertUserRole(Long userId, List<Integer> roleList) {
        sysUserRoleMapper.insertUserRole(userId, roleList);
    }
}
