package com.anplus.admincontrol.service.zt;

import com.dao.model.zt.ZtUserWages;
import com.dao.mapper.zt.ZtUserWagesMapper;
import com.anplus.admincontrol.mapper.zt.ZtUserWagesBusinessMapper;

import com.dao.common.AbstractMapperService;
import com.dao.common.page.PageParams;
import com.dao.common.page.PageInfoVO;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author 孟令君
 * @date 2021-03-02 16:46
 * ZtUserWagesService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ZtUserWagesService extends AbstractMapperService<ZtUserWages> {

    @Resource
    private ZtUserWagesMapper ztUserWagesMapper;
    @Resource
    private ZtUserWagesBusinessMapper ztUserWagesBusinessMapper;

    /**
     * 分页查询列表
     */
    public PageInfoVO getPage(PageParams param) {
        PageHelper.startPage(param.getPage(), param.getSize());
        return new PageInfoVO(this.selectAll());
    }

    public List<ZtUserWages> findByUserId(Long id) {
        return  ztUserWagesBusinessMapper.selectByUserId(id);
    }
}
