package com.anplus.common.admin.security.authentication;

//import com.dao.model.saas.SaasCompanyUser;
import com.dao.model.sys.SysUser;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.User;

import java.util.Collection;

/**
 * @Author wangning
 * @Date 2020-02-03 12:30
 * @Email 1151089590@qq.com
 * @Description:
 */
public class CustomSecurityUser extends User {

    private static final long serialVersionUID = 1167013428315310807L;

    private Long userId;

    public Long getUserId() {
        return userId;
    }

    private String realName;

    private Long orgId;

    private String deptName;

    private String avatar;

    public CustomSecurityUser(String username, String password, Collection<? extends GrantedAuthority> authorities) {
        super(username, password, authorities);
    }

//    public CustomSecurityUser(SaasCompanyUser sysUser, Collection<? extends GrantedAuthority> authorities) {
//        super(sysUser.getUsername(), sysUser.getPassword(), authorities);
//        this.userId = sysUser.getId();
//        this.realName = sysUser.getRealName();
//        this.avatar = sysUser.getAvatar();
//    }

    public CustomSecurityUser(SysUser sysUser, Collection<? extends GrantedAuthority> authorities) {
        super(sysUser.getUsername(), sysUser.getPassword(), authorities);
        this.userId = sysUser.getId();
        this.realName = sysUser.getRealName();
        this.avatar = sysUser.getAvatar();
    }

    public CustomSecurityUser(String username, String password, boolean enabled, boolean accountNonExpired, boolean credentialsNonExpired, boolean accountNonLocked, Collection<? extends GrantedAuthority> authorities) {
        super(username, password, enabled, accountNonExpired, credentialsNonExpired, accountNonLocked, authorities);
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

}
