package com.common.util;

/**
 * @author 潘维吉
 * @date 2019-12-13 15:08
 * @email 406798106@qq.com
 * @description 测地学相关工具类
 */
public class GeodesyUtils {

    private static double EARTH_RADIUS = 6378.137;

    private static double rad(double d) {
        return d * Math.PI / 180.0;
    }

    /**
     * 根据经纬度计算两点之间的距离
     */
    public static double getDistance(String lon1, String lat1, String lon2, String lat2) {
        double radLat1 = rad(Double.valueOf(lat1));
        double radLat2 = rad(Double.valueOf(lat2));
        double a = radLat1 - radLat2;
        double b = rad(Double.valueOf(lon1)) - rad(Double.valueOf(lon2));
        double s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2)
                + Math.cos(radLat1) * Math.cos(radLat2)
                * Math.pow(Math.sin(b / 2), 2)));
        s = s * EARTH_RADIUS;
        s = Math.round(s * 10000d) / 10000d;
        s = s * 1000;
        return s;
    }

    public static void main(String[] args) {
        String lon1 = "119.54770567530616";
        String lat1 = "35.42757049891185";
        String lon2 = "119.5405346348163";
        String lat2 = "35.42328556095324";
        System.out.println(getDistance(lon1, lat1, lon2, lat2));
        double acos = Math.acos(Math.sin(Double.parseDouble(lat1) / 180 * Math.PI) * Math.sin(Double.parseDouble(lat2) / 180 * Math.PI) +
                Math.cos(Double.parseDouble(lat1) / 180 * Math.PI) * Math.cos(Math.abs(Double.parseDouble(lon1) - Double.parseDouble(lon2)) / 180 * Math.PI) * Math.cos(Double.parseDouble(lat2) / 180 * Math.PI));
        System.out.println(acos * EARTH_RADIUS);
    }

}
