package com.common.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * 邮件工具类
 */
@Service
public class MailUtil {

    @Value("${spring.mail.username}")
    private String sender;

    @Resource
    private JavaMailSender mailSender;
    /** 收件人地址 */
    public static final String SEND_ADDR = "sendAddr";
    /** 标题 */
    public static final String TITLE = "title";
    /** 内容 */
    public static final String CONTENT = "content";

    @Async
    public void sendText(Map<String, String> map) {
        System.out.println("begin");
        SimpleMailMessage message = new SimpleMailMessage();
        message.setFrom(sender);
        message.setTo(map.get(SEND_ADDR));
        message.setSubject(map.get(TITLE));
        message.setText(map.get(CONTENT));
        mailSender.send(message);
        System.out.println("end");
    }
}
