package com.common.util;

import java.util.regex.Pattern;

/**
 * @author 潘维吉
 * @date 2018-05-20
 * 字符串工具类
 */
public class StringUtils {

    /**
     * 在使用正则表达式时，利用好其预编译功能，可以有效加快正则匹配速度
     **/
    private static final Pattern numPattern = Pattern.compile("[0-9]*");

    /**
     * 字符串前后追加单引号addSingleQuote
     */
    public static String addSingleQuote(String str) {
        return "\'" + str + "\'";
    }

    /**
     * 判断一个字符串中是否全部为数字
     *
     * @param str
     * @return boolean
     * @author wangning
     * @date 2020-01-03 14:49
     */
    public static boolean isNumeric(String str) {
        return numPattern.matcher(str).matches();
    }
}
