package com.constants;

/**
 * @author 潘维吉
 * @date 2019-10-12
 * 公共模块项目常量
 */
public final class Constants {

    /**
     * 当前登录用户id的字段名
     */
    public static final String CURRENT_USER_ID = "CURRENT_USER_ID";

    /**
     * 当前WEBSOCKET用户id的字段名
     */
    public static final String WEBSOCKET_USER_ID = "WEBSOCKET_USER_ID";

    /**
     * 阿里短信模板Code常量
     */
    public class SmsTemplateCode {
        public static final int EXPIRES_TIME = 120; // 验证码过期时间
    }

    /**
     * 日期格式
     */
    public class Dateformat {
        public static final String DATE_FORMAT = "yyyy-MM-dd HH:mm:ss";
        public static final String SHORT_DATE_FORMAT = "yyyy-MM-dd";
    }

    /**
     * 系统参数常量
     */
    public class SysParamCode {

        public static final String EXCLUDE_USER = "EXCLUDED_USERS";
        /* 标准人日工时 */
        public static final String STANDARD_DAILY_CONSUME = "STANDARD_DAILY_CONSUME";
    }

    /**
     * 服务端项目名称 yaml文件spring.application.name定义
     */
    public class ServerProjectName {
        //业主端APP
        public static final String OWNER_APP = "app";
        //管理端APP
        public static final String MANAGE_APP = "app-admin";
        //总控平台Admin
        public static final String CONTROL_ADMIN = "admin-control";
        //社区平台Admin
        public static final String COMMUNITY_ADMIN = "admin";
    }

}
