package com.constants;

import lombok.experimental.UtilityClass;

/**
 * @author 潘维吉
 * @date 2019-09-27
 * 项目Redis所有的key统一定义管理
 */
@UtilityClass
public class RedisKeys {

    /**
     * 登录验证码存储的目录和key值
     */
    public static final String LOGIN_CODE = "login:code";

    /**
     * 重置密码验证码存储的目录和key值
     */
    public static final String RESET_PASSWORD_CODE = "password:reset_code";

    /**
     * 用户绑定房产验证码存储的目录和key值
     */
    public static final String BIND_HOUSE_CODE = "community_user:bind_house";

    /**
     * 换绑手机当前手机号验证码的目录和key值
     */
    public static final String CHANGE_PHONE_CURRENT_CODE = "community_user:change_phone_current";

    /**
     * 换绑手机新手机号验证码的目录和key值
     */
    public static final String CHANGE_PHONE_NEW_CODE = "community_user:change_phone_new";

    /**
     * 通用代码目录
     */
    public static final String SYS_CODE_DIR = "sys_code";

    /**
     * 公司用户
     */
    public static final String COMPANY_USER_DIR = "company_user";

    /**
     * 总控平台用户
     */
    public static final String SYS_USER_DIR = "sys_user";

    /**
     * 所有社区
     */
    public static final String COMMUNITY_ALL_DIR = "community_all";

    /**
     * 公司对应所有社区
     */
    public static final String COMMUNITY_COMPANY_DIR = "community_company";

    /**
     * 用户对应所有社区
     */
    public static final String COMMUNITY_USER_DIR = "community_user";
}
