package com.dao.enums;

import org.springframework.core.env.Environment;
import org.springframework.util.Assert;

/**
 * @author 潘维吉
 * @date 2019-08-14 9:18
 * 环境常量枚举类
 */
public enum EnvironmentEnum {

    //开发
    DEV,
    //系统联调测试
    SAT,
    //内部测试
    TEST,
    //系统集成测试
    SIT,
    //用户验收测试
    UAT,
    //仿真
    STG,
    //生产
    PROD;

    /**
     * 是否是生产环境
     */
    public static boolean isProdEnv(Environment env) {
        Assert.notNull(env, "env parameter not null.");
        return EnvironmentEnum.PROD.name().equalsIgnoreCase(env.getProperty("spring.profiles.active"));
    }

    @Override
    public String toString() {
        return this.name();
    }
}
