package com.dao.enums.core;

import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * @author 潘维吉
 * @date 2019-01-03 11:04
 * 枚举类型转换基础核心处理类
 */
@Deprecated
public class CoreEnumTypeHandler<E extends Enum<?> & BaseEnum> extends BaseTypeHandler<BaseEnum> {

    private Class<E> type;

    public CoreEnumTypeHandler(Class<E> type) {
        if (type == null) {
            throw new IllegalArgumentException("Type argument cannot be null");
        }
        this.type = type;
    }

    /**
     * 通过列表读取
     */
    @Override
    public E getNullableResult(ResultSet rs, String columnName) throws SQLException {
        return getEnum(rs.getInt(columnName));
    }

    /**
     * 通过下标读取
     */
    @Override
    public E getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
        return getEnum(rs.getInt(columnIndex));
    }

    /**
     * 通过存储过程读取
     */
    @Override
    public E getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
        return getEnum(cs.getInt(columnIndex));
    }

    /**
     * 设置非空参数
     */
    @Override
    public void setNonNullParameter(PreparedStatement ps, int columnIndex,
                                    BaseEnum baseEnum, JdbcType jdbcType) throws SQLException {
        //设置第i个参数的值为传入code值，preparedStatement为执行数据库操纵的对象
        //传值的时候是一个枚举对象，当进行映射插入的时候就会转化为枚举的code值进行存储
        ps.setInt(columnIndex, baseEnum.getCode());
    }

    /**
     * 根据code获取枚举对象方法
     *
     * @param code 获取数据库存储的code值
     */
    public <E extends Enum<?> & BaseEnum> E getEnum(int code) {
        return (E) EnumUtil.getEnumByCode(code, type);
    }
}
