package com.dao.mapper;

import com.constants.RedisKeys;
import com.dao.model.sys.SysCodeDetail;
import com.dao.model.sys.SysParam;
import org.apache.ibatis.annotations.Param;
import org.springframework.cache.annotation.Cacheable;

import java.util.List;

/**
 * @author 潘维吉
 * @date 2019/12/5 16:53
 * @email 406798106@qq.com
 * @description 业务通用Mapper接口
 */
public interface CommonMapper {

    /**
     * 获取系统代码详情列表
     *
     * @param codeType
     * @return
     */
    @Cacheable(value = RedisKeys.SYS_CODE_DIR, key = "#codeType", unless = "#result == null")
    List<SysCodeDetail> getSysCodeDetailList(String codeType);

    /**
     * 获取展示用户名
     *
     * @param userType
     * @param userId
     * @return
     */
    String getUsername(@Param("userType") Integer userType, @Param("userId") Long userId);

    /**
     * 获取系统配置参数
     *
     * @param code
     * @return
     */
    SysParam getParamByCode(String code);


    String getCodeNameByCodeAndValueInt(@Param("code") String code, @Param("valueInt") Integer valueInt);

}
