package com.dao.model.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import tk.mybatis.mapper.annotation.LogicDelete;
import tk.mybatis.mapper.annotation.Order;

import javax.persistence.*;
import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel("日志表")
@Table(name = "base_error_log")
public class BaseErrorLog {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键id")
    @Order(value = "desc", priority = 2)
    private Long id;

    /**
     * 操作用户id
     */
    @Column(name = "user_id")
    @ApiModelProperty("操作用户id")
    private Long userId;

    /**
     * 项目名称
     */
    @Column(name = "project_name")
    @ApiModelProperty("项目名称")
    private String projectName;

    /**
     * 错误码
     */
    @Column(name = "error_code")
    @ApiModelProperty("错误码")
    private String errorCode;

    /**
     * 平台类型
     */
    @ApiModelProperty("平台类型")
    private String platform;

    /**
     * 软件版本号
     */
    @ApiModelProperty("软件版本号")
    private String version;

    /**
     * 是否删除 0 未删除  1 逻辑删除
     */
    @ApiModelProperty("是否删除 0 未删除  1 逻辑删除")
    @LogicDelete
    private Byte deleted;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    @Order("desc")
    private Date ctDate;

    /**
     * 日志异常信息
     */
    @ApiModelProperty("日志异常信息")
    private String content;

    @Transient
    private String userName;
}
