package com.dao.model.project;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.*;

import lombok.*;

@Getter
@Setter
@ToString
@ApiModel("")
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "project_charge")
public class ProjectCharge {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键id")
    private Long id;

    /**
     * 项目id
     */
    @Column(name = "project_id")
    @ApiModelProperty("项目id")
    private Long projectId;

    /**
     * 项目价款
     */
    @Column(name = "project_charge")
    @ApiModelProperty("项目价款")
    private BigDecimal projectCharge;

    /**
     * 是否统计
     */
    @Column(name = "statistics_status")
    @ApiModelProperty("是否统计")
    private Byte statisticsStatus;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    private Date ctDate;

    /**
     * 创建人id
     */
    @Column(name = "ct_user_id")
    @ApiModelProperty("创建人id")
    private Long ctUserId;

    /**
     * 修改时间
     */
    @Column(name = "lm_date")
    @ApiModelProperty("修改时间")
    private Date lmDate;

    /**
     * 修改人id
     */
    @Column(name = "lm_user_id")
    @ApiModelProperty("修改人id")
    private Long lmUserId;
}