package com.dao.model.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import tk.mybatis.mapper.annotation.LogicDelete;

import javax.persistence.*;
import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel("")
@Table(name = "sys_business")
public class SysBusiness {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 业务编号
     */
    @ApiModelProperty("业务编号")
    private String code;

    /**
     * 业务名称
     */
    @ApiModelProperty("业务名称")
    private String name;

    /**
     * 父亲节点id
     */
    @Column(name = "parent_id")
    @ApiModelProperty("父亲节点id")
    private Long parentId;

    /**
     * 图标
     */
    @ApiModelProperty("图标")
    private String icon;

    /**
     * 前端路径
     */
    @Column(name = "vr_path")
    @ApiModelProperty("前端路径")
    private String vrPath;

    /**
     * 前端router name
     */
    @Column(name = "vr_name")
    @ApiModelProperty("前端router name")
    private String vrName;

    /**
     * 前端重定向地址
     */
    @Column(name = "vr_redirect")
    @ApiModelProperty("前端重定向地址")
    private String vrRedirect;

    /**
     * 前端组件包路径
     */
    @Column(name = "vr_component_path")
    @ApiModelProperty("前端组件包路径")
    private String vrComponentPath;

    /**
     * 是否缓存
     */
    @Column(name = "vr_keep_alive")
    @ApiModelProperty("是否缓存")
    private Boolean vrKeepAlive;

    /**
     * 是否在菜单中显示
     */
    @Column(name = "show_in_menu")
    @ApiModelProperty("是否在菜单中显示")
    private Boolean showInMenu;

    /**
     * 显示顺序
     */
    @Column(name = "show_order")
    @ApiModelProperty("显示顺序")
    private Integer showOrder;

    /**
     * 版本号
     */
    @ApiModelProperty("版本号")
    private Long version;

    /**
     * 删除标记
     */
    @ApiModelProperty("删除标记")
    @LogicDelete
    private Byte deleted;

    /**
     * 创建部门id
     */
    @Column(name = "ct_dept_id")
    @ApiModelProperty("创建部门id")
    private Long ctDeptId;

    /**
     * 创建人id
     */
    @Column(name = "ct_user_id")
    @ApiModelProperty("创建人id")
    private Long ctUserId;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    private Date ctDate;

    /**
     * 修改人id
     */
    @Column(name = "lm_user_id")
    @ApiModelProperty("修改人id")
    private Long lmUserId;

    /**
     * 修改时间
     */
    @Column(name = "lm_date")
    @ApiModelProperty("修改时间")
    private Date lmDate;

    @Transient
    @ApiModelProperty("父节点名称")
    private String parentName;



}
