package com.dao.model.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import tk.mybatis.mapper.annotation.LogicDelete;

import javax.persistence.*;
import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel("系统操作对应的所有资源")
@Table(name = "sys_business_operate_resource")
public class SysBusinessOperateResource {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 业务id
     */
    @Column(name = "business_operate_id")
    @ApiModelProperty("业务id")
    private Long businessOperateId;

    /**
     * 操作uri
     */
    @Column(name = "operate_url")
    @ApiModelProperty("操作uri")
    private String operateUrl;

    /**
     * url的请求类型如GET POST PUT DELETE ALL
     */
    @Column(name = "operate_method")
    @ApiModelProperty("url的请求类型如GET POST PUT DELETE ALL")
    private String operateMethod;

    /**
     * 版本号
     */
    @ApiModelProperty("版本号")
    private Integer version;

    /**
     * 删除标记
     */
    @ApiModelProperty("删除标记")
    @LogicDelete
    private Byte deleted;

    /**
     * 创建部门id
     */
    @Column(name = "ct_dept_id")
    @ApiModelProperty("创建部门id")
    private Long ctDeptId;

    /**
     * 创建人id
     */
    @Column(name = "ct_user_id")
    @ApiModelProperty("创建人id")
    private Long ctUserId;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    private Date ctDate;

    /**
     * 修改人id
     */
    @Column(name = "lm_user_id")
    @ApiModelProperty("修改人id")
    private Long lmUserId;

    /**
     * 修改时间
     */
    @Column(name = "lm_date")
    @ApiModelProperty("修改时间")
    private Date lmDate;

}
