package com.dao.model.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import tk.mybatis.mapper.annotation.LogicDelete;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel("字典表详情")
@Table(name = "sys_code_detail")
public class SysCodeDetail implements Serializable {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 字典类型编号
     */
    @Column(name = "type_code")
    @ApiModelProperty("字典类型编号")
    private String typeCode;

    /**
     * 字典名称
     */
    @ApiModelProperty("字典名称")
    private String name;

    /**
     * 整数类型值
     */
    @Column(name = "value_int")
    @ApiModelProperty("整数类型值")
    private Integer valueInt;

    /**
     * 最小值范围
     */
    @Column(name = "value_min")
    @ApiModelProperty("最小值范围")
    private BigDecimal valueMin;

    /**
     * 最大值范围
     */
    @Column(name = "value_max")
    @ApiModelProperty("最大值范围")
    private BigDecimal valueMax;

    /**
     * 字符串类型值
     */
    @Column(name = "value_str")
    @ApiModelProperty("字符串类型值")
    private String valueStr;

    /**
     * 适用对象id 用于组织隔离权限id
     */
    @Column(name = "object_id")
    @ApiModelProperty("适用对象id 用于组织隔离权限id")
    private Long objectId;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 排序号
     */
    @Column(name = "show_order")
    @ApiModelProperty("排序号")
    private Integer showOrder;

    /**
     * 删除标记
     */
    @ApiModelProperty("删除标记")
    @LogicDelete
    private Byte deleted;

    /**
     * 数据版本号
     */
    @ApiModelProperty("数据版本号")
    private Integer version;

    /**
     * 创建部门
     */
    @Column(name = "ct_dept_id")
    @ApiModelProperty("创建部门")
    private Long ctDeptId;

    /**
     * 创建人
     */
    @Column(name = "ct_user_id")
    @ApiModelProperty("创建人")
    private Long ctUserId;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    private Date ctDate;

    /**
     * 最后修改人
     */
    @Column(name = "lm_user_id")
    @ApiModelProperty("最后修改人")
    private Long lmUserId;

    /**
     * 最后修改时间
     */
    @Column(name = "lm_date")
    @ApiModelProperty("最后修改时间")
    private Date lmDate;
}