package com.dao.model.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import tk.mybatis.mapper.annotation.LogicDelete;

import javax.persistence.*;
import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel("字典类型表")
@Table(name = "sys_code_type")
public class SysCodeType {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    private String code;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 类型 1：系统默认 2：非系统默认
     */
    @ApiModelProperty("类型 1：系统默认 2：非系统默认")
    private Integer type;

    /**
     * 备用 1：全局 2：组织隔离
     */
    @Column(name = "share_status")
    @ApiModelProperty("备用 1：全局 2：组织隔离")
    private Integer shareStatus;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 排序号
     */
    @Column(name = "show_order")
    @ApiModelProperty("排序号")
    private Integer showOrder;

    /**
     * 删除标记
     */
    @ApiModelProperty("删除标记")
    @LogicDelete
    private Byte deleted;

    /**
     * 数据版本号
     */
    @ApiModelProperty("数据版本号")
    private Integer version;

    /**
     * 创建部门
     */
    @Column(name = "ct_dept_id")
    @ApiModelProperty("创建部门")
    private Long ctDeptId;

    /**
     * 创建人
     */
    @Column(name = "ct_user_id")
    @ApiModelProperty("创建人")
    private Long ctUserId;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    private Date ctDate;

    /**
     * 最后修改人
     */
    @Column(name = "lm_user_id")
    @ApiModelProperty("最后修改人")
    private Long lmUserId;

    /**
     * 最后修改时间
     */
    @Column(name = "lm_date")
    @ApiModelProperty("最后修改时间")
    private Date lmDate;

    /**
     * 创建人姓名
     */
    @Transient
    private String ctUserName;
    /**
     * 修改人姓名
     */
    @Transient
    private String lmUserName;
}
