package com.dao.model.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import tk.mybatis.mapper.annotation.LogicDelete;

import javax.persistence.*;
import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel("系统配置参数")
@Table(name = "sys_param")
public class SysParam {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 参数类型 1 整型  2 字符串  3 富文本 4 图片
     */
    @ApiModelProperty("参数类型 1 整型  2 字符串  3 富文本 4 图片")
    private Integer type;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    private String code;

    /**
     * 参数名称
     */
    @ApiModelProperty("参数名称")
    private String name;

    /**
     * 整数值
     */
    @Column(name = "value_int")
    @ApiModelProperty("整数值")
    private Integer valueInt;

    /**
     * 字符串类型
     */
    @Column(name = "value_str")
    @ApiModelProperty("字符串类型")
    private String valueStr;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 排序号
     */
    @Column(name = "show_order")
    @ApiModelProperty("排序号")
    private Integer showOrder;

    /**
     * 删除标记
     */
    @ApiModelProperty("删除标记")
    @LogicDelete
    private Byte deleted;

    /**
     * 数据版本号
     */
    @ApiModelProperty("数据版本号")
    private Integer version;

    /**
     * 创建人
     */
    @Column(name = "ct_user_id")
    @ApiModelProperty("创建人")
    private Long ctUserId;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    private Date ctDate;

    /**
     * 最后修改人
     */
    @Column(name = "lm_user_id")
    @ApiModelProperty("最后修改人")
    private Long lmUserId;

    /**
     * 最后修改时间
     */
    @Column(name = "lm_date")
    @ApiModelProperty("最后修改时间")
    private Date lmDate;

    /**
     * 富文本
     */
    @Column(name = "value_longtext")
    @ApiModelProperty("富文本")
    private String valueLongtext;

    /**
     *
     */
    @Transient
    private String username;
}
