package com.dao.model.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.*;
import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel("系统角色")
@Table(name = "sys_role")
public class SysRole {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 角色编号
     */
    @ApiModelProperty("角色编号")
    private String code;

    /**
     * 角色名称
     */
    @ApiModelProperty("角色名称")
    private String name;

    /**
     * 启用状态
     */
    @ApiModelProperty("启用状态")
    private Boolean available;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 数据版本号
     */
    @ApiModelProperty("数据版本号")
    private Integer version;

    /**
     * 创建部门
     */
    @Column(name = "ct_dept_id")
    @ApiModelProperty("创建部门")
    private Long ctDeptId;

    /**
     * 创建人
     */
    @Column(name = "ct_user_id")
    @ApiModelProperty("创建人")
    private Long ctUserId;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    private Date ctDate;

    /**
     * 最后修改人
     */
    @Column(name = "lm_user_id")
    @ApiModelProperty("最后修改人")
    private Long lmUserId;

    /**
     * 最后修改时间
     */
    @Column(name = "lm_date")
    @ApiModelProperty("最后修改时间")
    private Date lmDate;

    @Transient
    @ApiModelProperty("最后修改人")
    private String lmUserName;
}
