package com.dao.model.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.*;
import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel("系统流水号生成表")
@Table(name = "sys_serial_number")
public class SysSerialNumber {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 类名称
     */
    @Column(name = "class_name")
    @ApiModelProperty("类名称")
    private String className;

    /**
     * 代码前缀
     */
    @Column(name = "code_prefix")
    @ApiModelProperty("代码前缀")
    private String codePrefix;

    /**
     * 当前流水号
     */
    @Column(name = "code_num")
    @ApiModelProperty("当前流水号")
    private Integer codeNum;

    /**
     * 流水号款吨
     */
    @Column(name = "code_length")
    @ApiModelProperty("流水号款吨")
    private Integer codeLength;

    /**
     * 是否包含日期
     */
    @Column(name = "code_include_date")
    @ApiModelProperty("是否包含日期")
    private Boolean codeIncludeDate;

    /**
     * 最新代码生成日期
     */
    @Column(name = "code_date")
    @ApiModelProperty("最新代码生成日期")
    private Date codeDate;

    /**
     * 版本号
     */
    @ApiModelProperty("版本号")
    private Integer version;
}