package com.dao.model.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@ToString
@ApiModel("用户信息")
@Table(name = "sys_user")
public class SysUser implements Serializable {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String username;

    /**
     * 用户密码
     */
    @ApiModelProperty("用户密码")
    private String password;

    /**
     * 用户真实姓名
     */
    @Column(name = "real_name")
    @ApiModelProperty("用户真实姓名")
    private String realName;

    /**
     * 邮箱地址
     */
    @ApiModelProperty("邮箱地址")
    private String email;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String mobile;

    /**
     * 所属部门
     */
    @Column(name = "org_id")
    @ApiModelProperty("所属部门")
    private Long orgId;

    /**
     * 用户类型
     */
    @ApiModelProperty("用户类型")
    private Integer type;

    /**
     * 启用状态
     */
    @ApiModelProperty("启用状态")
    private Boolean available;

    /**
     * 头像
     */
    @ApiModelProperty("头像")
    private String avatar;

    /**
     * 扩展状态字段 备用
     */
    @ApiModelProperty("扩展状态字段 备用")
    private Integer status;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 数据版本号
     */
    @ApiModelProperty("数据版本号")
    private Integer version;

    /**
     * 创建部门
     */
    @Column(name = "ct_dept_id")
    @ApiModelProperty("创建部门")
    private Long ctDeptId;

    /**
     * 创建人
     */
    @Column(name = "ct_user_id")
    @ApiModelProperty("创建人")
    private Long ctUserId;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    private Date ctDate;

    /**
     * 最后修改人
     */
    @Column(name = "lm_user_id")
    @ApiModelProperty("最后修改人")
    private Long lmUserId;

    /**
     * 最后修改时间
     */
    @Column(name = "lm_date")
    @ApiModelProperty("最后修改时间")
    private Date lmDate;

    @Transient
    private String newPassword;

    @Transient
    private String confirmNewPassword;
}
