package com.dao.model.zt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.*;

import lombok.*;

@Getter
@Setter
@ToString
@ApiModel("")
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "zt_user_wages")
public class ZtUserWages {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 用户id
     */
    @Column(name = "user_id")
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 工资
     */
    @ApiModelProperty("工资")
    private BigDecimal wages;

    /**
     * 修改人id
     */
    @Column(name = "statistics_status")
    @ApiModelProperty("是否加入统计")
    private Integer statisticsStatus;

    /**
     * 是否删除
     */
    @ApiModelProperty("是否删除")
    private Byte deleted;

    /**
     * 创建时间
     */
    @Column(name = "ct_date")
    @ApiModelProperty("创建时间")
    private Date ctDate;

    /**
     * 创建人id
     */
    @Column(name = "ct_user_id")
    @ApiModelProperty("创建人id")
    private Long ctUserId;

    /**
     * 修改时间
     */
    @Column(name = "lm_date")
    @ApiModelProperty("修改时间")
    private Date lmDate;

    /**
     * 修改人id
     */
    @Column(name = "lm_user_id")
    @ApiModelProperty("修改人id")
    private Long lmUserId;

}