package com.dao.util;

import lombok.experimental.UtilityClass;
import org.apache.commons.beanutils.ConvertUtils;

import java.lang.reflect.Field;
import java.util.Date;
import java.util.List;

/**
 * @author 潘维吉
 * @date 2019/11/5 13:39
 * @email 406798106@qq.com
 * @description 数据库默认常用通用数据字段合并到Entity实体类属性
 */
@UtilityClass
public class EntityUtils {

    /**
     * 创建时对象赋值
     */
    public Object setBase(Object obj) {
        Date now = new Date();
        return getBaseObject(obj, now);
    }

    /**
     * 创建时对象赋值
     */
    public Object setBase(Object obj, Long userId) {
        Date now = new Date();
        EntityUtils.setFiledValue(obj, "ctUserId", userId);
        return getBaseObject(obj, now);
    }

    private static Object getBaseObject(Object obj, Date now) {
        EntityUtils.setFiledValue(obj, "version", 0);
        EntityUtils.setFiledValue(obj, "deleted", 0);
        EntityUtils.setFiledValue(obj, "ctDate", now);
        EntityUtils.setFiledValue(obj, "lmDate", now);
        return obj;
    }

    /**
     * 创建时对象集合赋值
     */
    public List setBase(List objs, Long userId) {
        if (objs != null) {
            for (Object o : objs) {
                setBase(o, userId);
            }
        }
        return objs;
    }

    /**
     * 修改时对象赋值
     */
    public Object setModifyBase(Object obj) {
        Date now = new Date();
        EntityUtils.setFiledValue(obj, "lmDate", now);
        return obj;
    }

    /**
     * 修改时对象赋值
     */
    public Object setModifyBase(Object obj, Long userId) {
        Date now = new Date();
        EntityUtils.setFiledValue(obj, "lmUserId", userId);
        EntityUtils.setFiledValue(obj, "lmDate", now);
        return obj;
    }

    /**
     * 修改时对象集合赋值
     */
    public List setModifyBase(List objs, Long userId) {
        if (objs != null) {
            for (Object o : objs) {
                setModifyBase(o, userId);
            }
        }
        return objs;
    }

    private void setFiledValue(Object o, String fieldName, Object value) {
        Field f = null;
        try {
            f = o.getClass().getDeclaredField(fieldName);
        } catch (NoSuchFieldException localNoSuchFieldException) {
        }
        if (f == null) {
            return;
        }
        f.setAccessible(true);
        try {
            f.set(o, ConvertUtils.convert(value, f.getType()));
        } catch (IllegalAccessException localIllegalAccessException) {
        }
    }

    private Object getFiledValue(Object o, String fieldName) {
        Field f = null;
        try {
            f = o.getClass().getDeclaredField(fieldName);
        } catch (NoSuchFieldException localNoSuchFieldException) {
        }
        if (f == null) {
            return null;
        }
        f.setAccessible(true);
        try {
            return f.get(o);
        } catch (IllegalAccessException localIllegalAccessException) {
        }
        return null;
    }

}
