<#if isGenFileModule >
package ${currentPackage}.service.${fileModule};

import ${daoPackage}.model.${fileModule}.${modelNameUpperCamel};
<#if isGenMapperSeparate >
import ${daoPackage}.mapper.${fileModule}.${modelNameUpperCamel}Mapper;
import ${currentPackage}.mapper.${fileModule}.${modelNameUpperCamel}BusinessMapper;
<#else>
import ${currentPackage}.mapper.${fileModule}.${modelNameUpperCamel}Mapper;
</#if>
<#else>
package ${currentPackage}.service;

import ${daoPackage}.model.${modelNameUpperCamel};
<#if isGenMapperSeparate >
import ${daoPackage}.mapper.${modelNameUpperCamel}Mapper;
import ${currentPackage}.mapper.${modelNameUpperCamel}BusinessMapper;
<#else>
import ${currentPackage}.mapper.${modelNameUpperCamel}Mapper;
</#if>
</#if>

import ${daoPackage}.common.AbstractMapperService;
import ${daoPackage}.common.page.PageParams;
import ${daoPackage}.common.page.PageInfoVO;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author ${author}
 * @date ${date}
 * ${modelNameUpperCamel}Service服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ${modelNameUpperCamel}Service extends AbstractMapperService<${modelNameUpperCamel}> {

    @Resource
    private ${modelNameUpperCamel}Mapper ${modelNameLowerCamel}Mapper;
<#if isGenMapperSeparate >
    @Resource
    private ${modelNameUpperCamel}BusinessMapper ${modelNameLowerCamel}BusinessMapper;
</#if>

    /**
     * 分页查询列表
     */
    public PageInfoVO getPage(PageParams param) {
        PageHelper.startPage(param.getPage(), param.getSize());
    <#if !isGenPage >
        return new PageInfoVO(this.selectAll());
    <#else>
        return new PageInfoVO(${modelNameLowerCamel}BusinessMapper.getPage(param));
    </#if>
    }

   <#if isGenSaveOrUpdate >
    /**
     * 保存或更新方法
     */
    public int saveOrUpdate(${modelNameUpperCamel} ${modelNameLowerCamel}) {
        if (${modelNameLowerCamel}.getId() == null) {
            return this.insertSelective(${modelNameLowerCamel});
        } else {
            return this.updateByPrimaryKeySelective(${modelNameLowerCamel});
        }
    }
   </#if>
}
