package com.test;

import org.junit.Before;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.web.context.WebApplicationContext;

import java.util.Collections;

/**
 * @author 潘维吉
 * @date 2019-02-22 14:08
 * 基础测试类统一设置 测试类时要继承此基类
 */
@RunWith(SpringRunner.class)
//默认不启动服务器  WebEnvironment.RANDOM_PORT加载Web应用程序上下文并提供一个真正的web环境 启动嵌入式服务器并在随机端口上侦听
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
/*@ActiveProfiles("test")*/
public class BaseTest {

    public final String token = "Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpYXQiOjE1NjE0NTAyNzYsInN1YiI6IntcInVzZXJJZFwiOjF9IiwiaXNzIjoiRGnlkI3niYcifQ.CDVbuK6ruFkp9ZN-me9HokJzSyMig-aCpC9q6kySrEY";
    public HttpEntity entity;
    protected MockMvc mockMvc;
    @Autowired
    private WebApplicationContext webApplicationContext;

    /**
     * Rest测试每次http请求之前token授权
     */
    @Before
    public void auth() {
        HttpHeaders headers = new HttpHeaders();
        headers.setAccept(Collections.singletonList(MediaType.APPLICATION_JSON));
        headers.add("Authorization", token);
        entity = new HttpEntity<>("parameters", headers);
    }

    /**
     * Mock测试之前的设置
     */
    @Before
    public void mockSetUp() {
        this.mockMvc = MockMvcBuilders.webAppContextSetup(webApplicationContext).build();
    }

}
